MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Structures | Public Member Functions | Data Fields
SongFilter Class Reference

`#include <SongFilter.hxx>`

## Data Structures
class | Item

## Public Member Functions
| SongFilter ()=default
| gcc_nonnull (3) SongFilter(unsigned tag
| ~SongFilter ()
| gcc_nonnull (2, 3) bool Parse(const char *tag
bool | Parse (ConstBuffer< const char * > args, bool fold_case=false)
gcc_pure bool | Match (const Tag &tag) const
gcc_pure bool | Match (const DetachedSong &song) const
gcc_pure bool | Match (const LightSong &song) const
const std::list< Item > & | GetItems () const
gcc_pure bool | IsEmpty () const
gcc_pure bool | HasFoldCase () const
| Is there at least one item with "fold case" enabled? More...
gcc_pure bool | HasOtherThanBase () const
| Does this filter contain constraints other than "base"? More...
gcc_pure const char * | GetBase () const
| Returns the "base" specification (if there is one) or nullptr. More...

## Data Fields
const char * | value
const char bool | fold_case =false)

## Detailed Description

Definition at line 46 of file SongFilter.hxx.

## Constructor & Destructor Documentation

SongFilter::SongFilter | ( |  | ) |
| default

SongFilter::~SongFilter | ( |  | ) |

## Member Function Documentation

SongFilter::gcc_nonnull | ( | 3 |  | ) |

SongFilter::gcc_nonnull | ( | 2 | ,
|  | 3 |
| ) |  | const

gcc_pure const char* SongFilter::GetBase | ( |  | ) | const

Returns the "base" specification (if there is one) or nullptr.

const std::list<Item>& SongFilter::GetItems | ( |  | ) | const
| inline

Definition at line 123 of file SongFilter.hxx.

gcc_pure bool SongFilter::HasFoldCase | ( |  | ) | const
| inline

Is there at least one item with "fold case" enabled?

Definition at line 136 of file SongFilter.hxx.

gcc_pure bool SongFilter::HasOtherThanBase | ( |  | ) | const

Does this filter contain constraints other than "base"?

gcc_pure bool SongFilter::IsEmpty | ( |  | ) | const
| inline

Definition at line 128 of file SongFilter.hxx.

gcc_pure bool SongFilter::Match | ( | const Tag & | tag | ) | const

gcc_pure bool SongFilter::Match | ( | const DetachedSong & | song | ) | const

gcc_pure bool SongFilter::Match | ( | const LightSong & | song | ) | const

bool SongFilter::Parse | ( | ConstBuffer< const char * > | args,
|  | bool | fold_case = `false`
| ) |  |

## Field Documentation

const char bool SongFilter::fold_case =false)

Definition at line 105 of file SongFilter.hxx.

const char * SongFilter::value

Definition at line 105 of file SongFilter.hxx.

The documentation for this class was generated from the following file:

- SongFilter.hxx